Bug 215241 - Review Request: thunar-archive-plugin - Archive plugin for the Thunar file manager
Review Request: thunar-archive-plugin - Archive plugin for the Thunar file ma...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
:
Depends On: 217311
Blocks: FE-ACCEPT 214032
  Show dependency treegraph
 
Reported: 2006-11-12 14:50 EST by Christoph Wickert
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 20:05:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2006-11-12 14:50:50 EST
Spec URL: 
http://home.arcor.de/christoph.wickert/fedora/extras/review/SPECS/thunar-archive-plugin.spec
SRPM URL: 
http://home.arcor.de/christoph.wickert/fedora/extras/review/SRPMS/thunar-archive-plugin-0.2.2-1.fc7.src.rpm
Description:
The Thunar Archive Plugin allows you to create and extract archive files using 
the file context menus in the Thunar file manager. Starting with version 0.2.0, 
the plugin provides a generic scripting interface for archive managers and 
File Roller is no longer hardcoded.

Note:
xarchiver (bug #198098) is also supported, ark is not working ATM. This is because the mimetypes are not registered correctly by kdeutils.
Comment 1 Patrice Dumas 2006-11-12 15:26:10 EST
It seems to me that 'and File Roller is no longer hardcoded.' could
be removed from %description.

It doesn't really work for me. Icons have appeared, but 'extract to...' 
fails with a pop-up window 
  Failed to extract files.
  No suitable archive manager found.
Comment 2 Christoph Wickert 2006-11-12 15:40:17 EST
(In reply to comment #1)
> It seems to me that 'and File Roller is no longer hardcoded.' could
> be removed from %description.

ok.

> It doesn't really work for me. Icons have appeared, but 'extract to...' 
> fails with a pop-up window 
>   Failed to extract files.
>   No suitable archive manager found.

Works fine here with file-manager and xarchiver (if installed). I can even
select which one to use.
Please give me
 ls -l /usr/libexec/thunar-archive-plugin/
and
 ls -l /usr/share/applications/gnome-file-roller*

The name of the desktop-file in /usr/share/applications has to match the file in
/usr/libexec/thunar-archive-plugin, this is why i have renamed file-roller.tap
to gnome-file-roller.tap.
Comment 3 Christoph Wickert 2006-11-12 15:46:44 EST
(In reply to comment #2)

> Works fine here with file-manager

of course i meant file-roller. 

Another thing I forgot to mention: the mime type has tp be registered to
file-roller, this is why ark is not working ATM. Does file-roller show up in the
menu when you right click on an archive in Thunar or nautilus?
Comment 4 Patrice Dumas 2006-11-12 16:21:55 EST
I don't have file-roller installed. Maybe a Requires missing?
Comment 5 Patrice Dumas 2006-11-12 16:28:38 EST
In fact the default Requires should certainly be xarchiver, it is 
more xfce-like.
Comment 6 Christoph Wickert 2006-11-12 16:38:04 EST
This is another case of require foo or bar...

ATM you need ether file-roller or xarchiver (or you can use both) but I don't
want to force people to install file-roller. xarchiver would be ok for me, but I
don't really like it. One can easily add his own program to the plugin, a
wrapper template is included in the docs.
Comment 7 Patrice Dumas 2006-11-12 16:50:38 EST
(In reply to comment #6)
> This is another case of require foo or bar...
> 
> ATM you need ether file-roller or xarchiver (or you can use both) but I don't
> want to force people to install file-roller. xarchiver would be ok for me, but I
> don't really like it. One can easily add his own program to the plugin, a
> wrapper template is included in the docs.

This is something for end-users, we shouldn't force them to do anything
to have it working. In my opinion using xarchiver should be the best.
A virtual provides would be the cleanest, but I don't think it is really
necessary in that case since there is an xfce-like application.
Comment 8 Christoph Wickert 2006-11-12 17:01:52 EST
Ok, I will update the package, wait a moment. The changes so far are:
- Require xarchiver.
- Shorten %description. (comment #1)
- Fix Source0 URL.
- Use thunarver macro.
- Include template.tap to %%doc. (the one from comment #6)
Comment 10 Christoph Wickert 2006-11-26 18:02:54 EST
Now that we have a Requires: on xarchiver, why not remove 

  %dir %{_libexecdir}/thunar-archive-plugin/

from the packge? This would avoid the duplicate ownership of this dir by
xarchiver and thuar-archive-plugin.
Comment 11 Patrice Dumas 2006-11-28 08:26:52 EST
I would have personally kept the dir ownership in both packages,
but you can remove it from thunar-archive-plugin if you want.
Comment 12 Kevin Fenzi 2006-12-30 14:28:25 EST
Whats the status on this package? 

Patrice: Do you want to do a formal review of it? Or would you like me to do so?
Comment 13 Patrice Dumas 2007-01-01 11:05:48 EST
Yes, I'll do the formal review.
Comment 14 Patrice Dumas 2007-01-02 16:51:24 EST
* rpmlint is silent
X license seems to be LGPL, license included but is GPL in specfile
* follow guidelines
* match upstream
a164326a32a64063079405da11677f0a  thunar-archive-plugin-0.2.2.tar.bz2
* sane provides, with the usual bogus dlopened module useless soname:
Provides: thunar-archive-plugin.so
* own directories, /usr/lib/thunarx-1/ should be owned by thunar
* build and works correctly out of the box
* BuildRequires and Requires seem to be right

It is not obvious that the gtk cache update is needed, but I guess it
is needed for the icons in the right-click thunar menu?

The scriptlet snippet isn't the same than in the guidelines but the 
one proposed here should be right, too.


The only real issue pending is the License issue. This is APPROVED if you
fix it, no need to repost a srpm if it is the only difference.
Comment 15 Christoph Wickert 2007-01-02 17:30:13 EST
(In reply to comment #14)
> * rpmlint is silent
> X license seems to be LGPL, license included but is GPL in specfile

Sorry, my fault. COPYING and headers are LGPL, so the specfile is wrong.

> It is not obvious that the gtk cache update is needed, but I guess it
> is needed for the icons in the right-click thunar menu?

I did not really test if it's necessary, I just strictly followed the
guidelines. The guidelines tell you to run gtk-update-icon-cache, "If an
application installs icons into one of the subdirectories in %{_datadir}/icons".

> The scriptlet snippet isn't the same than in the guidelines but the 
> one proposed here should be right, too.

Oops, I copied it over from another specfile, obviously the Scriptlet Snipplets
 in the Wiki have changed in the meantime. The page I used is 
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets?action=recall&rev=1#head-7103f6c38d1b5735e8477bdd569ad73ea2c49bda

> The only real issue pending is the License issue. This is APPROVED if you
> fix it, no need to repost a srpm if it is the only difference.

OK, thanks a lot for reviewing this so carefully. I will fix the license issue
after import into CVS. I will also update the icon cache scriptlet (if it is
really needed).
Comment 16 Christoph Wickert 2007-01-02 20:05:34 EST
24930 (thunar-archive-plugin): Build on target fedora-development-extras succeeded.
     Build logs may be found at
http://buildsys.fedoraproject.org/logs/fedora-development-extras/24930-thunar-archive-plugin-0.2.2-2.fc7/

Closing.

P.S.: Just for the record: running gtk-update-icon-cache really is needed,
otherwise you will see stock_broken_image in Thunar's right click menu. 

Note You need to log in before you can comment on or make changes to this bug.